﻿using Microsoft.Office.Interop.Outlook;

namespace TestProject
{
    /// <summary>
    /// 세션 확장
    /// </summary>
    public static class SessionExtensions
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Sales Force 폴더 생성하기 - CreatSalesForceFolders(session)

        /// <summary>
        /// Sales Force 폴더 생성하기
        /// </summary>
        /// <param name="session">세션</param>
        public static void CreatSalesForceFolders(this NameSpace session)
        {
            foreach(Folder rootFolder in session.Folders)
            {
                if(!rootFolder.HasFolder(ConstantHelper.SalesForceFolderName))
                {
                    rootFolder.AddFolder(ConstantHelper.SalesForceFolderName);
                }
            }
        }

        #endregion
    }
}